/*********************************************************
* function.h - function for measuring
*
* v_0.1
*
* Copyright (c)2014 Matej Z. All rights reserved.
* matej.zdenek@gmail.com
*********************************************************/

#ifndef __FUNCTION_S
#define __FUNCTION_S

float correctionTable[4096];

void VymazMatice(int *data);
unsigned char Filtr_prumer5(float *impuls, int delka);
unsigned char Filtr_prumer3(float *impuls, int delka);
float Metoda_integraceDyn(float *impuls, int max, int delka);
float Metoda_WBO(float *impuls, int max, int delka, int param);
unsigned char UlozMatici(int *data, char* nazevSouboruPartA, char* nazevSouboruPartB, char* errMsg);
void CorrectNonlinearity(float *impuls, int delka);
void InitCorrectionTable();
void UlozPulzDoMatice(float amplituda, float discrParam, int superponovanyPulz, int* matrix, int* x, int *y);
void UlozObycejneDoMatice(int amplituda, int parametr, int* matrix);


#endif //__FUNCTION_S
