/*********************************************************
* load.h - load files from measuring
*
* v_0.1
*
* Copyright (c)2014 Matej Z. All rights reserved.
* matej.zdenek@gmail.com
*********************************************************/

#ifndef __LOAD_S
#define __LOAD_S

#include <stdio.h>

int OpenSohajDatFile(char* SOUBOR1, char* SOUBOR2);
int NactiPulzSohaj(float* CH1, float* CH2, int* delka, unsigned long long* casImpulsu_ns, int* pulzKompletni, unsigned long long* vypadek_ns, int* vypadek_pulzy);
void CloseSohajFile();

int PrepareStoringSelectedImpulses(char* fileName, long long borders);
void StoreSelectedImpulse(long long border, float* impulse, int lenght, float amplitude, float discrParam);

#endif //__LOAD_S
